/*
 * Copyright (c) 2007, Going Dot Com Inc. All rights reserved.
 */

package jp.co.going.xbrl.sample.dao.obj;

import java.util.Date;

/**
 * @author Masako Okayasu
 */
public class XbUnitDivideObj {

	// ユニットID
	private long unit_id;
	// operatorタイプ
	private int operator_type;
	// divide ID
	private long divide_id;
	// 並び順
	private long presentation_order;
	// 作成日
	private Date creation_date;

	/**
	 * @return creation_date
	 */
	public Date getCreation_date() {
		return creation_date;
	}
	/**
	 * @param creation_date 設定する creation_date
	 */
	public void setCreation_date(Date creation_date) {
		this.creation_date = creation_date;
	}
	/**
	 * @return divide_id
	 */
	public long getDivide_id() {
		return divide_id;
	}
	/**
	 * @param divide_id 設定する divide_id
	 */
	public void setDivide_id(long divide_id) {
		this.divide_id = divide_id;
	}
	/**
	 * @return operator_type
	 */
	public int getOperator_type() {
		return operator_type;
	}
	/**
	 * @param operator_type 設定する operator_type
	 */
	public void setOperator_type(int operator_type) {
		this.operator_type = operator_type;
	}
	/**
	 * @return presentation_order
	 */
	public long getPresentation_order() {
		return presentation_order;
	}
	/**
	 * @param presentation_order 設定する presentation_order
	 */
	public void setPresentation_order(long presentation_order) {
		this.presentation_order = presentation_order;
	}
	/**
	 * @return unit_id
	 */
	public long getUnit_id() {
		return unit_id;
	}
	/**
	 * @param unit_id 設定する unit_id
	 */
	public void setUnit_id(long unit_id) {
		this.unit_id = unit_id;
	}
}